librevenge::RVNGHTMLTextListStyleManager::List Struct Reference documentation

Public Member Functions | Protected Attributes | List of all members
librevenge::RVNGHTMLTextListStyleManager::List Struct Reference

`#include <RVNGHTMLTextTextStyle.h>`

## Public Member Functions
| List ()
| constructor
| ~List ()
| destructor
void | setLevel (int lvl, RVNGPropertyList const &property, bool ordered)
| set the property correspond to a level
void | openLevel () const
| open a new level
void | closeLevel () const
| open a new level
std::string | str () const
| return the content string

## Protected Attributes
std::vector< std::string > | m_contentsList
| the properties
int | m_level
| the actual list level

## Constructor & Destructor Documentation

## ◆ List()

librevenge::RVNGHTMLTextListStyleManager::List::List | ( |  | ) |
| inline

constructor

## ◆ ~List()

librevenge::RVNGHTMLTextListStyleManager::List::~List | ( |  | ) |
| inline

destructor

## Member Function Documentation

## ◆ closeLevel()

void librevenge::RVNGHTMLTextListStyleManager::List::closeLevel | ( |  | ) | const
| inline

open a new level

## ◆ openLevel()

void librevenge::RVNGHTMLTextListStyleManager::List::openLevel | ( |  | ) | const
| inline

open a new level

## ◆ setLevel()

void librevenge::RVNGHTMLTextListStyleManager::List::setLevel | ( | int | lvl,
|  | RVNGPropertyList const & | property,
|  | bool | ordered
| ) |  |

set the property correspond to a level

## ◆ str()

std::string librevenge::RVNGHTMLTextListStyleManager::List::str | ( |  | ) | const

return the content string

## Member Data Documentation

## ◆ m_contentsList

std::vector<std::string> librevenge::RVNGHTMLTextListStyleManager::List::m_contentsList
| protected

the properties

Referenced by setLevel().

## ◆ m_level

int librevenge::RVNGHTMLTextListStyleManager::List::m_level
| mutableprotected

the actual list level

Referenced by closeLevel(), and openLevel().

The documentation for this struct was generated from the following files:

- RVNGHTMLTextTextStyle.h
- RVNGHTMLTextTextStyle.cpp